<?php
add_action( 'after_setup_theme', 'doctorme_setup' );
function doctorme_setup()
{
load_theme_textdomain( 'doctorme', get_template_directory() . '/languages' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-thumbnails' );
global $content_width;
if ( ! isset( $content_width ) ) $content_width = 640;
register_nav_menus(
array( 'main-menu' => __( 'Main Menu', 'doctorme' ) )
);
}
add_action( 'wp_enqueue_scripts', 'doctorme_load_scripts' );
function doctorme_load_scripts()
{
wp_enqueue_script( 'jquery' );
}
add_action( 'comment_form_before', 'doctorme_enqueue_comment_reply_script' );
function doctorme_enqueue_comment_reply_script()
{
if ( get_option( 'thread_comments' ) ) { wp_enqueue_script( 'comment-reply' ); }
}
add_filter( 'the_title', 'doctorme_title' );
function doctorme_title( $title ) {
if ( $title == '' ) {
return '&rarr;';
} else {
return $title;
}
}
add_filter( 'wp_title', 'doctorme_filter_wp_title' );
function doctorme_filter_wp_title( $title )
{
return $title . esc_attr( get_bloginfo( 'name' ) );
}
add_action( 'widgets_init', 'doctorme_widgets_init' );
function doctorme_widgets_init()
{
register_sidebar( array (
'name' => __( 'Sidebar Widget Area', 'doctorme' ),
'id' => 'primary-widget-area',
'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
'after_widget' => "</li>",
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );

register_sidebar( array(
'name' => 'Front Section-1',
'id' => 'front-section-1',
'description' => 'Appears in the front page',
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => '</aside>',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
register_sidebar( array(
'name' => 'Front Section-2',
'id' => 'front-section-2',
'description' => 'Appears in the front page',
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => '</aside>',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
register_sidebar( array(
'name' => 'Front Section-3',
'id' => 'front-section-3',
'description' => 'Appears in the front page',
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => '</aside>',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
register_sidebar( array(
'name' => 'Front Section-4',
'id' => 'front-section-4',
'description' => 'Appears in the front page',
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => '</aside>',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
register_sidebar( array(
'name' => 'Footer Section 1',
'id' => 'footer-section-1',
'description' => 'Appears in the footer area',
'before_widget' => '<aside id="%1$s" class="widget %2$s">',
'after_widget' => '</aside>',
'before_title' => '<h3 class="widget-title">',
'after_title' => '</h3>',
) );
}
function doctorme_custom_pings( $comment )
{
$GLOBALS['comment'] = $comment;
?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>"><?php echo comment_author_link(); ?></li>
<?php 
}
add_filter( 'get_comments_number', 'doctorme_comments_number' );
function doctorme_comments_number( $count )
{
if ( !is_admin() ) {
global $id;
$comments_by_type = &separate_comments( get_comments( 'status=approve&post_id=' . $id ) );
return count( $comments_by_type['comment'] );
} else {
return $count;
}
}
//Theme Customizer Section



function doctorme_theme_customizer( $wp_customize ) {
/*--Add Logo--*/
    $wp_customize->add_section( 'doctorme_logo_section' , array(
    'title'       => __( 'Logo', 'doctorme' ),
    'priority'    => 30,
    'description' => 'Upload a logo to replace the default site name and description in the header',
) );

    $wp_customize->add_setting( 'doctorme_logo' );
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'doctorme_logo', array(
    'label'    => __( 'Logo', 'doctorme' ),
    'section'  => 'doctorme_logo_section',
    'settings' => 'doctorme_logo',
) ) );
/*--Add Colors--*/
    $wp_customize->add_section( 'doctorme_color_section' , array(
    'title'       => __( 'Colors', 'doctorme' ),
    'priority'    => 31,
    'description' => 'Modify theme colors',
) );
    $wp_customize->add_setting( 'doctorme_background_color', array(
		'default' =>'#fff',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'doctorme_background_color', array(
	'default' => '#fff',
    'label'    => __( 'Edit Background Color', 'doctorme' ),
    'section'  => 'doctorme_color_section',
    'settings' => 'doctorme_background_color',
) ) );
    $wp_customize->add_setting( 'doctorme_header_color', array(
		'default' =>'#5a5a5a',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'doctorme_header_color', array(
	'default' => '#5a5a5a',
    'label'    => __( 'Edit Header Color', 'doctorme' ),
    'section'  => 'doctorme_color_section',
    'settings' => 'doctorme_header_color',
) ) );
    $wp_customize->add_setting( 'doctorme_text_color', array(
		'default' =>'#5a5a5a',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'doctorme_text_color', array(
	'default' => '#5a5a5a',
    'label'    => __( 'Edit Text Color', 'doctorme' ),
    'section'  => 'doctorme_color_section',
    'settings' => 'doctorme_text_color',
) ) );
    $wp_customize->add_setting( 'doctorme_link_color', array(
		'default' =>'#7DB6D3',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'doctorme_link_color', array(
	'default' => '#7DB6D3',
    'label'    => __( 'Edit Link Color', 'doctorme' ),
    'section'  => 'doctorme_color_section',
    'settings' => 'doctorme_link_color',
) ) );
    $wp_customize->add_setting( 'doctorme_linkhover_color', array(
		'default' =>'',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'doctorme_linkhover_color', array(
	'default' => '',
    'label'    => __( 'Edit Hover Color', 'doctorme' ),
    'section'  => 'doctorme_color_section',
    'settings' => 'doctorme_linkhover_color',
) ) );
    $wp_customize->add_setting( 'doctorme_icon_color', array(
		'default' =>'#888',
	) );
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'doctorme_icon_color', array(
	'default' => '#888',
    'label'    => __( 'Edit Icon Color', 'doctorme' ),
    'section'  => 'doctorme_color_section',
    'settings' => 'doctorme_icon_color',
) ) );
}
function doctorme_css_customize(){
	?>
	<style type="text/css">
		p, pre, ul, ol, dl, dd, blockquote, address, table, fieldset, form {color: <?php echo get_theme_mod('doctorme_text_color'); ?>;}
		h1, h2, h3, h4, h5, h6 {color: <?php echo get_theme_mod('doctorme_header_color');?>;}
		body{color: <?php echo get_theme_mod('doctorme_icon_color'); ?>; background-color: <?php echo get_theme_mod('doctorme_background_color'); ?>;}
		#content p a, #content li a{color:<?php echo get_theme_mod('doctorme_link_color'); ?>;}
		#content p a:hover, content li a:hover{color:<?php echo get_theme_mod('doctorme_linkhover_color'); ?>;}
	</style>
	<?php
	}
add_action('wp_head', 'doctorme_css_customize');
add_action('customize_register', 'doctorme_theme_customizer');

function paukai_2011_styles() {
    wp_register_style( 'animate-css',
        get_template_directory_uri() . '/css/animate.min.css',
        array(),
        '20120725',
        'screen' );
    wp_enqueue_style( 'animate-css' );
}
add_action('wp_enqueue_scripts', 'paukai_2011_styles');

add_action( 'wp_enqueue_scripts', 'webendev_load_font_awesome', 99 );
/**
* Enqueue Font Awesome Stylesheet from MaxCDN
*
*/
function webendev_load_font_awesome() {
    if ( ! is_admin() ) {
 
        wp_enqueue_style( 'font-awesome', '//netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css', null, '4.0.3' );
 
    }
 
}

require_once dirname( __FILE__ ) . '/class-tgm-plugin-activation.php';

add_action( 'tgmpa_register', 'doctorme_register_required_plugins' );

function doctorme_register_required_plugins() {

    $plugins = array(


        array(
            'name'               => 'mb.YTPlayer for background videos', // The plugin name.
            'slug'               => 'wpmbytplayer', // The plugin slug (typically the folder name).
            'source'             => get_stylesheet_directory() . '/plugins/wpmbytplayer.1.8.3.zip', // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
            'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
            'force_activation'   => true, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
            'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
            'external_url'       => '', // If set, overrides default API URL and points to an external URL.
        ),

    

        array(
            'name'               => 'Widget Settings Importer/Exporter', // The plugin name.
            'slug'               => 'widget-settings-importexport', // The plugin slug (typically the folder name).
            'source'             => get_stylesheet_directory() . '/plugins/widget-settings-importexport.1.2.zip', // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
            'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
            'force_activation'   => true, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
            'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
            'external_url'       => '', // If set, overrides default API URL and points to an external URL.
        ),

        array(
            'name'               => 'Responsive Menu', // The plugin name.
            'slug'               => 'responsive-menu', // The plugin slug (typically the folder name).
            'source'             => get_stylesheet_directory() . '/plugins/responsive-menu.1.9.zip', // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
            'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
            'force_activation'   => true, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
            'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
            'external_url'       => '', // If set, overrides default API URL and points to an external URL.
        ),

        array(
            'name'               => 'Contact Form 7', // The plugin name.
            'slug'               => 'contact-form-7', // The plugin slug (typically the folder name).
            'source'             => get_stylesheet_directory() . '/plugins/contact-form-7.3.8.1.zip', // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
            'version'            => '', // E.g. 1.0.0. If set, the active plugin must be this version or higher.
            'force_activation'   => true, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
            'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
            'external_url'       => '', // If set, overrides default API URL and points to an external URL.
        ),
    

    );

    $config = array(
        'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => __( 'Install Required Plugins', 'tgmpa' ),
            'menu_title'                      => __( 'Install Plugins', 'tgmpa' ),
            'installing'                      => __( 'Installing Plugin: %s', 'tgmpa' ), // %s = plugin name.
            'oops'                            => __( 'Something went wrong with the plugin API.', 'tgmpa' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'tgmpa' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'tgmpa' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'tgmpa' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'tgmpa' ),
            'return'                          => __( 'Return to Required Plugins Installer', 'tgmpa' ),
            'plugin_activated'                => __( 'Plugin activated successfully.', 'tgmpa' ),
            'complete'                        => __( 'All plugins installed and activated successfully. %s', 'tgmpa' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );

    tgmpa( $plugins, $config );

}
?>
